{: test a compilation error occurs when a rh paren is missing in an expression}

{$d+}
program e007( output );

var
   a  : integer;

begin {e007}

   { !!!   -------v------  missing ')' }
   if (a in [1..8]  and (a=16) then
      writeln( 'fails: missing '')'' error not detected' );

end. { e007 }

